This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1278589 - Kickstarting with encrypted partition fails
Kickstarting with encrypted partition fails
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vojtech Trefny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 16:44 EST by Johan Swensson
Modified: 2016-12-20 10:25 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:25:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (4.13 KB, text/plain)
2015-11-05 16:44 EST, Johan Swensson
no flags Details
storage.log (258.62 KB, text/plain)
2015-11-05 16:45 EST, Johan Swensson
no flags Details
program.log (72.21 KB, text/plain)
2015-11-05 16:46 EST, Johan Swensson
no flags Details
kickstart file used when issue occurs (2.15 KB, text/plain)
2015-11-06 06:06 EST, Johan Swensson
no flags Details
packaging.log (355 bytes, text/plain)
2015-11-06 15:11 EST, Johan Swensson
no flags Details

  None (edit)
Description Johan Swensson 2015-11-05 16:44:08 EST
Created attachment 1090396 [details]
anaconda.log

Description of problem:
Kickstart installation fails with the message "Not enough space in file systems for the current software selection. An additional 2.79 GiB is needed."

How reproducible:
100%

Steps to Reproduce:
1. Kickstart with the following storage configuration(this worked on Fedora 22):

bootloader --location=mbr --boot-drive=sda
clearpart --all --initlabel --drives=sda
part /boot --fstype="ext4" --ondisk=sda --size=512
part pv.3384 --size=1 --ondisk=sda --grow --encrypted --passphrase=test01
volgroup odin --pesize=4096 pv.3384
logvol /var  --fstype="xfs" --size=10240 --name=var --vgname=odin
logvol /  --fstype="xfs" --size=1024 --name=root --vgname=odin
logvol swap  --fstype="xfs" --size=4096 --name=swap --vgname=odin
logvol /usr  --fstype="xfs" --size=10240 --name=usr --vgname=odin
logvol /home  --fstype="xfs" --size=51200 --name=home --vgname=odin 
logvol /var/lib/libvirt/images  --fstype="xfs" --size=51200 --name=vms --vgname=odin 


Actual results:
Installation halts.

Expected results:
Installation should carry on.

Additional info:
The same configuration without encrypted volume works.

bootloader --location=mbr --boot-drive=sda
clearpart --all --initlabel --drives=sda
part /boot --fstype="ext4" --ondisk=sda --size=512
part pv.3384 --size=1 --ondisk=sda --grow 
volgroup odin --pesize=4096 pv.3384
logvol /var  --fstype="xfs" --size=10240 --name=var --vgname=odin
logvol /  --fstype="xfs" --size=1024 --name=root --vgname=odin
logvol swap  --fstype="xfs" --size=4096 --name=swap --vgname=odin
logvol /usr  --fstype="xfs" --size=10240 --name=usr --vgname=odin
logvol /home  --fstype="xfs" --size=51200 --name=home --vgname=odin 
logvol /var/lib/libvirt/images  --fstype="xfs" --size=51200 --name=vms --vgname=odin
Comment 1 Johan Swensson 2015-11-05 16:45 EST
Created attachment 1090397 [details]
storage.log
Comment 2 Johan Swensson 2015-11-05 16:46 EST
Created attachment 1090398 [details]
program.log
Comment 3 Jiri Konecny 2015-11-06 04:50:55 EST
Hello Johan,

could you please provide me these infomramations? 
Was that Server, Workstation and did you have special packages selection if yes which packages? 
Was that fully automatic kickstart installation?
Please attach packaging.log which you can find in /tmp/packaging.log?

Thank you,
Jirka Konecny
Comment 4 Johan Swensson 2015-11-06 06:04:35 EST
(In reply to Jiri Konecny from comment #3)
> Hello Johan,
> 
> could you please provide me these infomramations? 
> Was that Server, Workstation and did you have special packages selection if
> yes which packages? 
Server, I'm uploading the entire kickstart file for reference.

> Was that fully automatic kickstart installation?
Yes

> Please attach packaging.log which you can find in /tmp/packaging.log?
I can provide this later this evening as I don't have access to it right now.
Comment 5 Johan Swensson 2015-11-06 06:06 EST
Created attachment 1090608 [details]
kickstart file used when issue occurs
Comment 6 Johan Swensson 2015-11-06 15:11 EST
Created attachment 1090784 [details]
packaging.log
Comment 7 Jiri Konecny 2015-11-10 06:23:34 EST
From anaconda.log:

21:32:23,055 ERR anaconda: storage configuration failed: device is too small for new format
21:32:26,304 INFO anaconda: fs space: 0 B  needed: 2.79 GiB

So this seems as problem in blivet when the device isn't created and you then try to install to nothing (0 B).

The error message is really bad I will look on this and try to give there a meaningful warning.
Comment 8 Johan Swensson 2015-11-28 11:44:20 EST
Workaround possible by setting the size to something larger and setting a fstype. For example:

part pv.3384 --fstype="lvmpv" --size=80000 --ondisk=sda --grow --encrypted --passphrase=test01

Full example:

bootloader --location=mbr --boot-drive=sda
clearpart --all --initlabel --drives=sda
part /boot --fstype="ext4" --ondisk=sda --size=512
part pv.3384 --fstype="lvmpv" --size=80000 --ondisk=sda --grow --encrypted --passphrase=test01
volgroup odin --pesize=4096 pv.3384
logvol /var  --fstype="xfs" --size=10240 --name=var --vgname=odin
logvol /  --fstype="xfs" --size=1024 --name=root --vgname=odin
logvol swap  --fstype="xfs" --size=4096 --name=swap --vgname=odin
logvol /usr  --fstype="xfs" --size=10240 --name=usr --vgname=odin
logvol /home  --fstype="xfs" --size=51200 --name=home --vgname=odin 
logvol /var/lib/libvirt/images  --fstype="xfs" --size=51200 --name=vms --vgname=odin
Comment 9 Fedora End Of Life 2016-11-24 08:07:06 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2016-12-20 10:25:48 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.